> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyhumm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Integration Source Database Introspection

> Trigger introspection for a specific database within an integration source.

This will queue a background job to discover and update the schema hierarchy for
only the specified database:
- Schemas within the database
- Tables within those schemas
- Columns within those tables
- Relationships within the database

Args:
    source_id: Integration source ID
    database_id: Database ID to introspect
    force_refresh: Force refresh even if recently introspected



## OpenAPI

````yaml https://config.heyhumm.ai/api/openapi.json post /api/integration-sources/{source_id}/databases/{database_id}/introspect
openapi: 3.1.0
info:
  title: Configuration API
  description: >-
    API for managing configuration and queues for various services. This service
    consolidates the API functionality previously provided by dd_rag_api and
    code_rag_api.
  version: 1.0.0
servers:
  - url: https://config.heyhumm.ai
security: []
paths:
  /api/integration-sources/{source_id}/databases/{database_id}/introspect:
    post:
      tags:
        - Integration Sources
      summary: Trigger Integration Source Database Introspection
      description: >-
        Trigger introspection for a specific database within an integration
        source.


        This will queue a background job to discover and update the schema
        hierarchy for

        only the specified database:

        - Schemas within the database

        - Tables within those schemas

        - Columns within those tables

        - Relationships within the database


        Args:
            source_id: Integration source ID
            database_id: Database ID to introspect
            force_refresh: Force refresh even if recently introspected
      operationId: >-
        trigger_integration_source_database_introspection_api_integration_sources__source_id__databases__database_id__introspect_post
      parameters:
        - name: source_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Source Id
        - name: database_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Database Id
        - name: force_refresh
          in: query
          required: false
          schema:
            type: boolean
            title: Force Refresh
            default: false
        - name: organization_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Organization Id
        - name: resource_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Resource Id
        - name: integration_source_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Integration Source Id
        - name: data_source_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Data Source Id
        - name: context_source_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Context Source Id
        - name: job_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````